Package org.apache.sysds.lops.rewrite

## Class LopRewriteRule

- java.lang.Object
- - org.apache.sysds.lops.rewrite.LopRewriteRule

Direct Known Subclasses:
  `RewriteAddBroadcastLop`, `RewriteAddChkpointInLoop`, `RewriteAddChkpointLop`, `RewriteAddGPUEvictLop`, `RewriteAddPrefetchLop`, `RewriteFixIDs`, `RewriteUpdateGPUPlacements`

    public abstract class LopRewriteRule
    extends Object

### Constructor Summary

Constructors
`LopRewriteRule()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract List<StatementBlock>` `rewriteLOPinStatementBlock​(StatementBlock sb)`
`abstract List<StatementBlock>` `rewriteLOPinStatementBlocks​(List<StatementBlock> sb)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LopRewriteRule

    public LopRewriteRule()

### Method Detail

#### rewriteLOPinStatementBlock

    public abstract List<StatementBlock> rewriteLOPinStatementBlock​(StatementBlock sb)

#### rewriteLOPinStatementBlocks

    public abstract List<StatementBlock> rewriteLOPinStatementBlocks​(List<StatementBlock> sb)